package com.emato.cus.controller;

import com.emato.cus.utils.websocket.Callback;
import com.emato.cus.utils.websocket.WebSocketClientHandle;
import org.java_websocket.client.WebSocketClient;

import java.nio.channels.NotYetConnectedException;

public class WebSocketClientTest {

    public static WebSocketClient client;

    public static void main(String[] args) throws NotYetConnectedException {
        String content = "{\"_method\":\"security_SpcSignRandom\",\"_id\":1,\"args\":{\"passwd\":\"88888888\",\"random\":\"123\"}}";

        WebSocketClientHandle.send(
            "wss://wss.singlewindow.cn:61231",
            content,
            new Callback() {
                @Override
                public Object run(Object params) {
                    System.out.println(params);
                    return null;
                }
            }, new Callback() {
                @Override
                public Object run(Object params) {
                    Exception e = (Exception) params;
                    e.printStackTrace();
                    return null;
                }
            }
        );
    }
}